Issue 49395

Summary: Too big slide numbers in PPT doc import
Product: Impress Reporter: omvsj <omvsj>
Component: open-importAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: 680m100   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Simple DOC file. Just 9 pages text.
none
PPS file. 8 slides. Just text and backgound image.
none
Screenshot of too big slide numbers none

Description omvsj 2005-05-17 15:35:59 UTC
This is a random crash. It happend with many PPS documents but were not
reproducibles. After several tries, this is the exact order in which the crash
happens (It's the same order for other PPS documents)...

1) Shut down OOo quick start
2) Import "CBZM - síntesis sesión 4 a  la 6.doc"
3) Import "HAYQUEBUSCARSEUNAMANTE.pps"
-  At the very first moment, slide numbers are bigger than the slide thumbnail
-  After the whole document is loaded the numbers dissappear
4) Click on 2nd slide
5) Click on 3rd slide
-  The thumbnails move 3 slides down
-  4th slide is loaded, instead of 3rd. (* Which is wrong *)
6) Move slider up and click on 1st slide
7) Repeat steps 4 to 6 two times and crash:
-  Click on 2nd slide
-  Click on 3rd slide (with the same notes)
-  Move slider
-  Click on 1st slide
-  Click on 2nd slide
-  Click on 3rd slide and *crash*

I hope this may be reproducible and help you. I'll attach both documents to help
testing.
Comment 1 omvsj 2005-05-17 15:37:58 UTC
Created attachment 26237 [details]
Simple DOC file. Just 9 pages text.
Comment 2 omvsj 2005-05-17 15:40:39 UTC
Created attachment 26239 [details]
PPS file. 8 slides. Just text and backgound image.
Comment 3 wolframgarten 2005-05-18 07:53:41 UTC
The crash is not reproducible. It maybe connected to issue 48875 which is solved
in the meantime. The big slide numbers are reproducible. So I change the summary
to have this fixed.
Comment 4 wolframgarten 2005-05-18 07:54:53 UTC
Created attachment 26258 [details]
Screenshot of too big slide numbers
Comment 5 wolframgarten 2005-05-18 07:55:23 UTC
Reassigned.
Comment 6 sven.jacobi 2005-05-18 09:29:50 UTC
reassigned
Comment 7 groucho266 2005-05-18 09:49:16 UTC
Accepted.
Comment 8 groucho266 2005-05-18 16:46:34 UTC
In sd::slidesorter::view::FontProvider::GetFont() the font size is initialized
not correctly.

The task of this class is to provide a font that, when displayed in the slide
sorter bar/view, always has the same size on the screen, regardless of the zoom
factor of the output device of that view.
It takes the default font of that device and transforms its size from the pixel
coordinate system into the model coordinate system.

In this case the original size of the default font is too large.
Comment 9 groucho266 2005-05-19 13:52:30 UTC
Duplicate, see below.
Comment 10 groucho266 2005-05-19 13:53:16 UTC
Duplicate to issue 47134.

*** This issue has been marked as a duplicate of 47134 ***
Comment 11 wolframgarten 2005-05-19 14:05:22 UTC
Closed.
Comment 12 frank.meies 2005-05-25 13:00:46 UTC
FME: I'm not fully convinced that this issue is a duplicate of issue 47134. This
bug only occurs in the (very rare) case, that Writer changes the application default
device. I'll reopen this one and suggest to have another look at i47134.
Comment 13 frank.meies 2005-05-25 13:02:11 UTC
I'll take over. During loading the doc file, Writer changes the default
application device.
Comment 14 andreas.martens 2005-05-25 13:26:34 UTC
Considering the effort, the priority, the risk and our resource planning I've to
retarget this issue to OOo Later.